Bug 201624 - Web Inspector: Remove legacy CodeMirror based pretty printers
Summary: Web Inspector: Remove legacy CodeMirror based pretty printers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Joseph Pecoraro
URL:
Keywords: InRadar
Depends on: 201535
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-09 18:45 PDT by Joseph Pecoraro
Modified: 2019-09-11 14:26 PDT (History)
11 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (128.38 KB, patch)
2019-09-09 18:48 PDT, Joseph Pecoraro
drousso: review+
Details | Formatted Diff | Diff
[PATCH] For Landing (121.63 KB, patch)
2019-09-10 17:39 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
[PATCH] For Landing (128.25 KB, patch)
2019-09-10 17:41 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2019-09-09 18:45:45 PDT
Remove legacy CodeMirror based pretty printers

These haven't been used in a while. We already support JS/CSS formatters on a worker without CodeMirror.
Comment 1 Joseph Pecoraro 2019-09-09 18:48:53 PDT
Created attachment 378428 [details]
[PATCH] Proposed Fix
Comment 2 Devin Rousso 2019-09-10 13:45:22 PDT
Comment on attachment 378428 [details]
[PATCH] Proposed Fix

r=me after rebase :)
Comment 3 Joseph Pecoraro 2019-09-10 16:46:34 PDT
Just waiting on the earlier patch to land.
Comment 4 Joseph Pecoraro 2019-09-10 17:36:00 PDT
Actually no need to wait for HTML Formatter. I can land this first.
Comment 5 Joseph Pecoraro 2019-09-10 17:39:19 PDT
Created attachment 378515 [details]
[PATCH] For Landing
Comment 6 Joseph Pecoraro 2019-09-10 17:41:14 PDT
Created attachment 378516 [details]
[PATCH] For Landing
Comment 7 WebKit Commit Bot 2019-09-10 21:01:47 PDT
Comment on attachment 378516 [details]
[PATCH] For Landing

Clearing flags on attachment: 378516

Committed r249751: <https://trac.webkit.org/changeset/249751>
Comment 8 Radar WebKit Bug Importer 2019-09-11 14:26:20 PDT
<rdar://problem/55276530>